# Tangler

**Tangler** is a small casual puzzle inspired by the [Tantrix board game](https://www.tantrix.com/) but with
a different twist.

**Game objective:** put randomly generated tiles to the board, making up continuous color curves. When curves close
to loops, they disappear, giving space for more moves.

There are 3 board sizes, 3 tile types and up to 6 colors with an option of unique/repeating colors per tile.

The game is intended to be meditative, like creating a mandala, so there is no game timer and no hall of fame.
There are also no sound, no ads and no in-game purchases. The game is completely free and will remain so.
It does not use Internet connection and does not require any device permissions.

The game is playable on smartphones, especially with smaller board sizes, but a larger (tablet) screen
is recommended for best experience.

## Download

The game is provided in two options:

- **Desktop Java**. Run it with `java -jar Tangler.jar` command line, or in most cases just double-click
the Tangler.jar file. It has been tested with Java 18 Runtime, should also work with prior versions up to Java 8.

- **Android**. Get it on Google Play (recommended) or download the Tangler.apk here for manual install. It has been
tested on Android 8.0 and 10.0, should also work on any Android version starting from 4.4 and later.

There is no iOS build because I do not have tools to build and test it. If somebody completes the iOS module (see below)
I will add it here.

## Development

The game is provided under the [Creative Commons Attribution license](https://creativecommons.org/licenses/by/4.0/).
Please feel free to reuse, extend, derive, improve etc. as long as you keep a reference to the original and mention me,
Andrzej Novosiolov, as the original author.

The game has been implemented using following tools and libraries:

- IntelliJ IDEA 2021.3.3 (Community Edition)
- Android Studio 2021.1.1 Patch 2 (for the Android emulator) 
- Gradle 7.0.2
- Kotlin 1.6.10
- libGDX 1.10.0
- libKTX 1.10.0-rc1
- ShapeDrawer 2.5.0
- Universal Tween Engine 6.3.3

The `ios` module is present in the project, but I did not try to compile and test it because I do not have Apple
devices and tools for that. If you make it work, I would gratefully accept the pull request.
